Skip to main content
POST
/
api
/
agents
/
{agent_id}
/
calls
Create Call
curl --request POST \
  --url https://api.getello.ai/api/agents/{agent_id}/calls \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '{}'
import requests

url = "https://api.getello.ai/api/agents/{agent_id}/calls"

payload = {}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};

fetch('https://api.getello.ai/api/agents/{agent_id}/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": 200,
  "message": "Message published successfully",
  "data": {
    "conversation_id": "6900b87ca70928b1224f0619",
    "call_status": "success"
  }
}
{
"status": 400,
"message": "Invalid request parameters"
}
{
"status": 401,
"message": "Unauthorized access",
"details": "Authentication token is missing or invalid"
}
{
"status": 402,
"message": "Insufficient credits to initiate call",
"error_code": "INSUFFICIENT_CREDITS"
}
{
"status": 500,
"message": "Error while publishing message to agent"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

agent_id
string
required

Unique identifier of the agent initiating the call.

Body

application/json
to_number
string
required
Example:

"+911234556789"

agent_type
string
required
Example:

"telephonic"

message
string
Example:

"Hello! Am I speaking to Sri?"

context_data
object
Example:
{ "customer_name": "Sri" }
source
string
Example:

"web"

workspace_id
string
Example:

"6970c2f3948cfbce1932d99d"

name
string
Example:

"Sri"

hook_url
string
Example:

"https://example.com/webhook/call-events"

siptrunk_id
string
Example:

"s3434ededs"

memory_id
string
Example:

"mem_123"

greeting_description
string
Example:

"Friendly greeting, sales tone"

call_type
string
Example:

"outbound"

Response

Message published successfully

status
integer
Example:

200

message
string
Example:

"Message published successfully"

data
object
Example:
{
"conversation_id": "6900b87ca70928b1224f0619",
"call_status": "success"
}